#
# See the file "LICENSE" for the full license governing this code.
#
#
# IIB 6 and 7 contain a zip in a tar. This class
# takes care of untarring the toplevel tar.gz file_name
# and making sure the rest of the puppet code
# can handle the result
#
define iib_install::software::iib6_unpack(
  String[1] $tmp_dir,
  String[1] $source_location,
)
{
  $file_name = $title
  archive { "${tmp_dir}/${file_name}.tar.gz":
    ensure       => present,
    extract      => true,
    extract_path => $tmp_dir,
    source       => "${source_location}/${file_name}.tar.gz",
    creates      => "${tmp_dir}/EAsmbl_image",
    cleanup      => true,
  }

}
