#!/opt/puppetlabs/puppet/bin/ruby
#
# See the file "LICENSE" for the full license governing this code.
#
require 'json'
require 'open3'
require 'puppet'

params = JSON.parse($stdin.read)
broker = params.fetch('broker_name') { '*' }

begin
  puts "starting broker #{broker}"
  puts `systemctl start iib@#{broker}`
  puts "new status for #{broker} is:"
  puts `systemctl status -l iib@#{broker}`
  exit 0
rescue Puppet::Error => e
  puts({ :status => 'failure', :error => e.message }.to_json)
  exit 1
end
